# $true

The boolean true constant

Usage

    $true

Description
Evaluates to the true boolean constant. True is equivalent to the integer 1 too. This function/constant is useful to keep your code readable: when you have a variable that can assume boolean values it's nicer to use $true and $false instead of the integer constants 1 and 0. The reader will understand immediately that the variable simply can't assume any other value.
Syntax Specification

    <boolean> $true

Examples

        %a = $true
        echo $typeof(%a)
        echo $(%a + 1)

See also
$false

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Jul 22 18:18:08 2013